New fn: IsCoprime (whenever gcd makes sense)
Status: Closed Start date: 17 Oct 2017

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: New Function Estimated time: 0.00 hour

Target version: CoCoALib-0.99560 Spent time: 0.75 hour

Description

Define a new fn IsCoprime which is equivalent to IsInvertible(gcd(arg1, arg2))

JAA thinks it is better to write code like this:

  if (IsCoprime(f,g)) { cmds; }

than like this:

  if (gcd(f,g) == 1) { cmds; }

or like this:

  if (IsInvertible(gcd(f,g))) { cmds; }

Related issues:

Related to CoCoALib - Bug #1710: IsSqFree, IsIrred bugs in ZZ[x] and QQ[x] Closed 16 Nov 2022

History

#1 - 17 Oct 2017 16:50 - John Abbott

The fn should be defined when gcd makes sense (i.e. for true GCD domains and BigInt).

At the moment I prefer the name IsCoprime to AreCoprime because most other boolean fns are called IsXYZ and also AreCoprime almost gives the

idea that it could apply to a list (but with what semantics?)

#2 - 17 Oct 2017 17:15 - John Abbott

- Status changed from New to Resolved

- Assignee set to John Abbott

- % Done changed from 0 to 80

I have written a first trivial implementation.  Seems to work.

#3 - 06 Nov 2017 15:27 - John Abbott

- Status changed from Resolved to Closed

- % Done changed from 80 to 100

#4 - 30 Nov 2022 21:33 - John Abbott

- Related to Bug #1710: IsSqFree, IsIrred bugs in ZZ[x] and QQ[x] added
